GET /pool/{uuid}/runtime/server/
/pool/{uuid}/runtime/server/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"get_state": false,
"health_monitor_list": {
"health_monitor": [
{
"avg_response_time": 0,
"failure_code": "string",
"name": "string",
"reason": "string",
"recent_response_time": 0,
"state": "string"
}
]
},
"hostname": "string",
"ip_addr": {
"addr": "string",
"type": "string"
},
"is_local": false,
"is_standby": false,
"location": {
"latitude": "number",
"longitude": "number",
"name": "string",
"tag": "string"
},
"oper_status": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": [
"string"
],
"reason_code": 0,
"reason_code_string": "string",
"state": "string"
},
"port": 0,
"resolve_server_by_dns": false,
"se_uuid": "string",
"vs_uuid": "string"
}
Flag set by the non-owner Service Engines to indicate that they need to get state for this server from Controller. Field introduced in 18.2.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
health_monitor_list
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
ip_addr
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
location
oper_status
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Flag used to indicate if server or GS member hostname is resolved by DNS. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
VirtualService member in case this server is a member of GS group. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/server